testdir: use dir without committing into database;
authorwenzelm
Tue, 07 Jan 1997 09:05:26 +0100
changeset 2477 ff44d0e1953a
parent 2476 dae7f8ca5001
child 2478 adbd622bb375
testdir: use dir without committing into database;
lib/Tools/testdir
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/lib/Tools/testdir	Tue Jan 07 09:05:26 1997 +0100
@@ -0,0 +1,34 @@
+#!/bin/bash -norc
+#
+# $Id$
+#
+# DESCRIPTION: use dir without committing into database
+
+
+PRG=$(basename $0)
+
+function usage()
+{
+  echo
+  echo "Usage: $PRG LOGIC DIR"
+  echo
+  echo "  Use dir without committing into database (FIXME ISABELLE_HTML)."
+  echo
+  exit 1
+}
+
+
+## args
+
+[ $# -ne 2 ] && usage
+
+LOGIC="$1"; shift
+DIR="$1"; shift
+
+
+## main
+
+exec $ISABELLE \
+  -e "make_html := $ISABELLE_HTML;" \
+  -e "exit_use_dir\"$DIR\"; quit();" \
+  -rq $LOGIC